#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gwenhywfar
Version		:	5.10.2
Release		:	17.2.0.rel%{?dist}
Summary		:	A multi-platform helper library for other libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://www.aquamaniac.de/rdm/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc
BuildRequires	:	gcc-c++
BuildRequires	:	glib-devel	>= 2.72.1
BuildRequires	:	gnutls
BuildRequires	:	gettext
BuildRequires	:	gtk3+		>= 3.24.33
BuildRequires	:	libgcrypt
BuildRequires	:	openssl-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	qt5-qtbase-devel

Requires	:	make-ca
#-----------------------------------------------------------------------------
%description
This is Gwenhywfar, a multi-platform helper library for
networking and security applications and libraries.
It is heavily used by libchipcard and AqBanking/AqHBCI,
the German online banking libraries.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-, root,root,-)
%doc AUTHORS README ChangeLog
%license COPYING
%{_bindir}/gct-tool
%{_libdir}/libgwenhywfar.so.79*
%{_libdir}/libgwengui-gtk3.so.79*
%{_libdir}/libgwengui-cpp.so.79*
%{_libdir}/libgwengui-qt5.so.79*
%{_libdir}/%{name}/plugins/79/*
%{_datadir}/%{name}/dialogs/*.dlg
%{_datadir}/aclocal/%{name}.m4

#=============================================================================
%package		devel

Summary		:	 Gwenhywfar core development kit

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains gwenhywfar-config and header files for
writing and compiling programs using Gwenhywfar.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_bindir}/gsa
%{_bindir}/%{name}-config
%{_bindir}/mklistdoc
%{_bindir}/typemaker*
%{_bindir}/xmlmerge
%{_bindir}/gwbuild
%{_includedir}/%{name}5/%{name}/*.h
%{_includedir}/%{name}5/%{name}/list*.tmpl
%{_includedir}/%{name}5/gwen-gui-*/*.h
%{_includedir}/%{name}5/gwen-gui-*/*.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/libgwengui-*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/gwengui-gtk3.pc
%{_libdir}/pkgconfig/gwengui-qt5.pc
%{_libdir}/cmake/%{name}-*/*.cmake
%{_libdir}/cmake/gwengui-*/gwengui-*.cmake
%{_datadir}/gwenbuild/templates/*.tmpl
%{_datadir}/%{name}/typemaker2/c/*.tm2
%{_datadir}/%{name}/gwenbuild/builders/posix/*.gwb
%{_datadir}/%{name}/gwenbuild/builders/windows/*.gwb

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-system-certs				\
	--disable-static				\
	--with-qt5-qmake=%{_qt5_bindir}/qmake		\
	--with-qt5-moc=%{_qt5_bindir}/moc		\
	--with-qt5-uic=%{_qt5_bindir}/uic		\
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
